<form class="search-form" [formGroup]="searchFormGroup" (ngSubmit)="onSubmit()">
  <div class="columns-container">
    <fieldset class="rows-container">
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'author_last_name' | transloco}}</mat-label>
        <input matInput formControlName="authorLastName">
      </mat-form-field>

      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'author_first_name' | transloco}}</mat-label>
        <input matInput formControlName="authorFirstName">
      </mat-form-field>

      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'author_patronymic' | transloco}}</mat-label>
        <input matInput formControlName="authorPatronymic">
      </mat-form-field>

      <ng-container *ngIf="roles$ | async; let roles">
        <mat-form-field appearance="fill" class="search-form__field">
          <mat-label>{{'author_role' | transloco}}</mat-label>
          <mat-select formControlName="authorRoleId">
            <mat-option *ngFor="let role of roles" [value]="role.id">
              {{role.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </ng-container>
    </fieldset>

    <fieldset class="rows-container">
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'affected_user_last_name' | transloco}}</mat-label>
        <input matInput formControlName="affectedUserLastName">
      </mat-form-field>

      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'affected_user_first_name' | transloco}}</mat-label>
        <input matInput formControlName="affectedUserFirstName">
      </mat-form-field>

      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'affected_user_patronymic' | transloco}}</mat-label>
        <input matInput formControlName="affectedUserPatronymic">
      </mat-form-field>

      <ng-container *ngIf="roles$ | async; let roles">
        <mat-form-field appearance="fill" class="search-form__field">
          <mat-label>{{'affected_user_role' | transloco}}</mat-label>
          <mat-select formControlName="affectedUserRoleId">
            <mat-option *ngFor="let role of roles" [value]="role.id">
              {{role.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </ng-container>
    </fieldset>
  </div>

  <fieldset>
    <mat-form-field appearance="fill" class="search-form__field">
      <mat-label>{{'date_of_change' | transloco}}</mat-label>
      <input matInput formControlName="date" [imask]="dateMask">
    </mat-form-field>

    <ng-container *ngIf="typesOfChanges$ | async; let changes">
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'type_of_change' | transloco}}</mat-label>
        <mat-select formControlName="typeOfChangeId">
          <mat-option *ngFor="let change of changes" [value]="change.id">
            {{change.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </ng-container>
  </fieldset>

  <button mat-raised-button color="primary" type="submit" [disabled]="!searchFormGroup.valid">
    {{'perform_search' | transloco}}
  </button>
</form>
